Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 401987 (CVE-2011-3464) - <media-libs/libpng-1.5.8: "png_formatted_warning()" Off-by-One Vulnerability (CVE-2011-3464)
Summary: <media-libs/libpng-1.5.8: "png_formatted_warning()" Off-by-One Vulnerability ...
Status: RESOLVED FIXED
Alias: CVE-2011-3464
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/47827/
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-02 20:39 UTC by Agostino Sarubbo
Modified: 2012-07-23 19:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-02-02 20:39:39 UTC
From secunia security advisory at $URL:

Description:
The vulnerability is caused due to an off-by-one error in the "png_formatted_warning()" function (pngerror.c) and can be exploited to corrupt stack-based memory.

Successful exploitation may allow execution of arbitrary code.

The vulnerability is reported in versions 1.5.4 through 1.5.7.


Solution:
Update to version 1.5.8.
Comment 1 Samuli Suominen gentoo-dev 2012-02-02 20:42:25 UTC
(In reply to comment #0)
> Update to version 1.5.8.

In portage since yesterday. Can be stabilized.
Comment 2 Agostino Sarubbo gentoo-dev 2012-02-02 20:50:35 UTC
Thanks Samuli.


Arches, please test and mark stable:
=media-libs/libpng-1.5.8
Target KEYWORDS : "alpha amd64 arm hppa ia64 m68k ppc ppc64 s390 sh sparc x86"
Comment 3 Agostino Sarubbo gentoo-dev 2012-02-02 20:58:19 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2012-02-02 21:04:38 UTC
x86 stable
Comment 5 Jeroen Roovers gentoo-dev 2012-02-03 17:44:03 UTC
Stable for HPPA.
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2012-02-04 15:35:33 UTC
alpha/arm/ia64/m68k/s390/sh/sparc stable
Comment 7 Brent Baude (RETIRED) gentoo-dev 2012-02-06 19:55:51 UTC
ppc done
Comment 8 Samuli Suominen gentoo-dev 2012-02-06 19:58:17 UTC
ppc64 stable, all arches done
Comment 9 Agostino Sarubbo gentoo-dev 2012-02-06 20:13:28 UTC
added to existing glsa request
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2012-06-22 11:07:19 UTC
This issue was resolved and addressed in
 GLSA 201206-15 at http://security.gentoo.org/glsa/glsa-201206-15.xml
by GLSA coordinator Sean Amoss (ackle).
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2012-07-23 19:30:18 UTC
CVE-2011-3464 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-3464):
  Off-by-one error in the png_formatted_warning function in pngerror.c in
  libpng 1.5.4 through 1.5.7 might allow remote attackers to cause a denial of
  service (application crash) and possibly execute arbitrary code via
  unspecified vectors, which trigger a stack-based buffer overflow.